
#/*-----------------------------------------------------------------*/
#/*! 
#  \file Makefile.am
#  \brief Makefile for automake
#  \author  M. Gastineau 
#           Astronomie et Systemes Dynamiques, IMCCE, CNRS, Observatoire de Paris. 
#
#   Copyright, 2008, 2009, 2010, 2011, 2012,  M. Gastineau, CNRS
#   email of the author : gastineau@imcce.fr
#  
#   \bug M. GASTINEAU 20/04/09 : update for SCSCP 1.3 
#*/
#/*-----------------------------------------------------------------*/
#
#/*-----------------------------------------------------------------*/
#/* License  of this file :
#  This file is "dual-licensed", you have to choose one  of the two licenses 
#  below to apply on this file.
#  
#     CeCILL-C
#     	The CeCILL-C license is close to the GNU LGPL.
#     	( http://www.cecill.info/licences/Licence_CeCILL-C_V1-en.html )
#  
#  or CeCILL v2.0
#       The CeCILL license is compatible with the GNU GPL.
#       ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#  
# 
# This library is governed by the CeCILL-C or the CeCILL license under 
# French law and abiding by the rules of distribution of free software.  
# You can  use, modify and/ or redistribute the software under the terms 
# of the CeCILL-C or CeCILL license as circulated by CEA, CNRS and INRIA  
# at the following URL "http://www.cecill.info". 
#
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
#
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
#
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL-C or CeCILL license and that you accept its terms.
# */
# /*-----------------------------------------------------------------*/
## Makefile.am -- Process this file with automake to produce Makefile.in

LDADD = $(top_builddir)/srcxx/libscscpxx.la $(top_builddir)/src/libscscp.la $(XML_LIBS)

AM_CPPFLAGS = -I$(top_srcdir)/src/ -I$(top_srcdir)/srcxx/ $(XML_CPPFLAGS)

checkfailed =  scscpscconnectfailed1xx  scscpscconnectfailed2xx   
checkok = scscpscconnectxx scscpsendgetallowheadsxx scscpreturnoptionsxx scscpterminatedxx scscpcompleted1xx \
          scscpcompleted2xx scscpssinitxx scscpsendserveroptionxx  scscpserversendinfoxx scscpclientsendinfoxx \
          scscpinterruptxx scscpomfxx scscpomvxx   \
          scscpomvbinxx scscpomibinxx scscpomfbinxx scscpomstrbinxx scscpomrbinxx

check_PROGRAMS = $(checkfailed) $(checkok) 

TESTS = $(checkfailed) $(checkok)
XFAIL_TESTS = $(checkfailed)

noinst_PROGRAMS = scscpservertest

scscpscconnectfailed1xx_SOURCES = scscpscconnectfailed1xx.cpp
scscpscconnectfailed2xx_SOURCES = scscpscconnectfailed2xx.cpp
scscpscconnectxx_SOURCES = scscpscconnectxx.cpp scscpsscommonxx.cpp
scscpsendgetallowheadsxx_SOURCES = scscpsendgetallowheadsxx.cpp scscpsscommonxx.cpp cmncalloptionxx.cpp
scscpreturnoptionsxx_SOURCES = scscpreturnoptionsxx.cpp scscpsscommonxx.cpp
scscpterminatedxx_SOURCES = scscpterminatedxx.cpp scscpsscommonxx.cpp
scscpcompleted1xx_SOURCES = scscpcompleted1xx.cpp scscpsscommonxx.cpp
scscpcompleted2xx_SOURCES = scscpcompleted2xx.cpp scscpsscommonxx.cpp
scscpssinitxx_SOURCES = scscpssinitxx.cpp
scscpservertest_SOURCES = scscpservertestxx.cpp scscpsscommonxx.cpp
scscpsendserveroptionxx_SOURCES = scscpsendserveroptionxx.cpp scscpsscommonxx.cpp cmncalloptionxx.cpp
scscpserversendinfoxx_SOURCES = scscpserversendinfoxx.cpp  scscpsscommonxx.cpp
scscpclientsendinfoxx_SOURCES = scscpclientsendinfoxx.cpp  scscpsscommonxx.cpp
scscpinterruptxx_SOURCES = scscpinterruptxx.cpp  scscpsscommonxx.cpp
scscpomfxx_SOURCES = scscpomfxx.cpp  scscpsscommonxx.cpp
scscpomvxx_SOURCES = scscpomvxx.cpp  scscpsscommonxx.cpp
scscpomvbinxx_SOURCES = scscpomvbinxx.cpp  scscpsscommonxx.cpp
scscpomibinxx_SOURCES = scscpomibinxx.cpp  scscpsscommonxx.cpp
scscpomfbinxx_SOURCES = scscpomfbinxx.cpp  scscpsscommonxx.cpp
scscpomstrbinxx_SOURCES = scscpomstrbinxx.cpp  scscpsscommonxx.cpp
scscpomrbinxx_SOURCES = scscpomrbinxx.cpp  scscpsscommonxx.cpp

noinst_HEADERS = scscpsscommon.h

EXTRA_DIST = Makefile.vc
